Package org.gradle.api.artifacts

## Interface ComponentMetadataBuilder

-     public interface ComponentMetadataBuilder

  A component metadata builder.
  Since:
    4.0

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `attributes​(Action<? super AttributeContainer> attributesConfiguration)` | Configures the attributes of this component
    `AttributeContainer` | `getAttributes()` | Returns the attributes of the component.
    `void` | `setStatus​(java.lang.String status)` | Sets the status of this component
    `void` | `setStatusScheme​(java.util.List<java.lang.String> scheme)` | Sets the status scheme of this component

- - ### Method Detail

    - #### setStatus

          void setStatus​(java.lang.String status)

      Sets the status of this component
      Parameters:
        `status` - the component status

    - #### setStatusScheme

          void setStatusScheme​(java.util.List<java.lang.String> scheme)

      Sets the status scheme of this component
      Parameters:
        `scheme` - the status scheme

    - #### attributes

          void attributes​(Action<? super AttributeContainer> attributesConfiguration)

      Configures the attributes of this component
      Parameters:
        `attributesConfiguration` - the configuration action
      Since:
        4.9

    - #### getAttributes

          AttributeContainer getAttributes()

      Returns the attributes of the component.
      Returns:
        the attributes of the component, guaranteed to be mutable.
      Since:
        4.9